> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.freecustom.email/free-custom-email-api/v-1/inboxes/list-inboxes/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.freecustom.email/_mcp/server. # List inboxes GET https://api2.freecustom.email/v1/inboxes Returns all inboxes registered to your account, including both platform-domain and custom-domain inboxes. **Response fields (per inbox):** - `inbox` — Full email address of the inbox - `domain` — Domain portion of the address - `createdAt` — ISO 8601 timestamp of when the inbox was registered - `expiresAt` — Expiry timestamp (based on your plan's persistence tier) - `messageCount` — Number of messages currently stored **Behaviour:** - Returns an empty array `[]` if no inboxes are registered. - Inboxes are returned in descending order of creation time (newest first). **Plan:** All plans (Free and above). Reference: https://docs.freecustom.email/free-custom-email-api/v-1/inboxes/list-inboxes ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 OK - `success` (boolean, required) - `data` (V1InboxesGetResponsesContentApplicationJsonSchemaData, required) ## Errors ### 401 Unauthorized Error Unauthorized - `success` (boolean, required) - `error` (string, required) - `message` (string, required) ### 429 Too Many Requests Error Too Many Requests - `success` (boolean, required) - `error` (string, required) - `message` (string, required) - `upgrade_url` (string, required) - `credits_url` (string, required) - `hint` (string, required) ## Types ### V1InboxesGetResponsesContentApplicationJsonSchemaData - `inboxes` (list of string, required) - `count` (integer, required) ## Examples **Response** ```json { "success": true, "data": { "inboxes": [ "string", "string" ], "count": 4706 } } ``` **SDK Code** ```python v1_inboxes_List inboxes_example import requests url = "https://api2.freecustom.email/v1/inboxes" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript v1_inboxes_List inboxes_example const url = 'https://api2.freecustom.email/v1/inboxes'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_inboxes_List inboxes_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/inboxes" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_inboxes_List inboxes_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/inboxes") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_inboxes_List inboxes_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api2.freecustom.email/v1/inboxes") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_inboxes_List inboxes_example request('GET', 'https://api2.freecustom.email/v1/inboxes', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_inboxes_List inboxes_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/inboxes"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_inboxes_List inboxes_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/inboxes")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```